local SurfaceLib = AceLibrary("Surface-1.0")
function aUF:SetupVariables()
	self.imagePath = "Interface\\AddOns\\ag_UnitFrames\\images\\bars\\"
	self.fontPath = "Interface\\AddOns\\ag_UnitFrames\\fonts\\"

	-- Which auras can the player see?
	self.CanDispel = {
		["PRIEST"] = {
			["Magic"] = true,
			["Disease"] = true,
		},
		["SHAMAN"] = {
			["Poison"] = true,
			["Disease"] = true,
		},
		["PALADIN"] = {
			["Magic"] = true,
			["Poison"] = true,
			["Disease"] = true,
		},
		["MAGE"] = {
			["Curse"] = true,
		},
		["DRUID"] = {
			["Curse"] = true,
			["Poison"] = true,
		}
	}

	-- Various constants like colors, textures...

	self.DebuffColor = {
		["Magic"] = {
			r = 1,
			g = 0,
			b = 0,
		},
		["Disease"] = {
			r = 0.25,
			g = 1,
			b = 0,
		},
		["Poison"] = {
			r = 0,
			g = 0.25,
			b = 1,
		},
		["Curse"] = {
			r = 0.75,
			g = 0,
			b = 0.75,
		}
	}

	self.RepColor = {
		[1] = {r = 226/255, g = 45/255, b = 75/255},
		[2] = {r = 226/255, g = 45/255, b = 75/255},
		[3] = {r = 0.75, g = 0.27, b = 0},
		[4] = {r = 1, g = 1, b = 34/255},
		[5] = {r = 0.2, g = 0.8, b = 0.15},
		[6] = {r = 0.2, g = 0.8, b = 0.15},
		[7] = {r = 0.2, g = 0.8, b = 0.15},
		[8] = {r = 0.2, g = 0.8, b = 0.15},
	}

	self.HealthColor = {
		r = 0.11,
		g = 0.84,
		b = 0.3,
	}

	self.ManaColor = {
		[0] = { r = 48/255, g = 113/255, b = 191/255}, 		-- Mana
		[1] = { r = 226/255, g = 45/255, b = 75/255}, 		-- Rage
		[2] = { r = 255/255, g = 210/255, b = 0}, 			-- Focus
		[3] = { r = 255, g = 220/255, b = 25/255},			-- Energy
		[4] = { r = 0.00, g = 1.00, b = 1.00} 				-- Happiness
	}

	self.Borders = {
		["Classic"] 	= {["texture"] = "Interface\\Tooltips\\UI-Tooltip-Border",["size"] = 16,["insets"] = 5},
		["Nurfed"]	 	= {["texture"] = "Interface\\DialogFrame\\UI-DialogBox-Border",["size"] = 16,["insets"] = 5},
		["Hidden"] 		= {["texture"] = "",["size"] = 0,["insets"] = 3},
	}
	self.Bars	= {
		["Otravi"]		= self.imagePath.."AceBarFrames.tga",
		["Classic"]		= "Interface\\TargetingFrame\\UI-StatusBar",
		["Smooth"]		= self.imagePath.."smooth.tga",
		["Gloss"]		= self.imagePath.."Gloss.tga",
		["BantoBar"]	= self.imagePath.."BantoBar.tga",
		["Steel"]	= self.imagePath.."Steel.tga",
		["Round"]	= self.imagePath.."Round.tga",
	}

	for n,t in pairs(self.Bars) do
		SurfaceLib:Register(n, t)
	end

	self.RaidColors = {
		["DRUID"]	= "|cffff7c0a",
		["HUNTER"]	= "|cffaad372",
		["MAGE"]	= "|cff68ccef",
		["PALADIN"]	= "|cfff48cba",
		["PRIEST"]	= "|cffffffff",
		["ROGUE"]	= "|cfffff468",
		["SHAMAN"]	= "|cfff48cba",
		["SHAMAN"]	= "|cff00dbba",
		["WARLOCK"]	= "|cff9382C9",
		["WARRIOR"]	= "|cffc69b6d",
	}

	self.formats = {
		["HealthText"] = {
			["Absolute"]	= "[aghp]",
			["Difference"]	= "[agmissinghp]",
			["Percent"]		= "[agpercenthp]",
			["Smart"]		= "[agsmarthp]",
			["Hide"]		= "",
		},
		["ManaText"] = {
			["Absolute"]	= "[agmana]",
			["Difference"]	= "[agmissingmana]",
			["Percent"]		= "[agpercentmana]",
			["Smart"]		= "[agsmartmana]",
			["Hide"]		= "",
		},
		["NameLabel"] = {
			["Default"]		= "[name]",
			["Hide"]		= "",
		},
		["ClassText"] = {
			["Default"]		= "[classification][difficulty][level][white] [raidcolor][agclass][white] [agrace]",
			["Hide"]		= "",
		}
	}
end
